Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wavemaker.runtime.data
Interface DataServiceManager

    public interface DataServiceManager

Entry point of Data Service API. Every service that is a "Data Service" has one associated DataServiceManager instance.

Version:
  $Rev: 30038 $ - $Date: 2010-10-01 14:45:26 -0700 (Fri, 01 Oct 2010) $
Author:
  Simon Toens

Method Summary
`void` | `begin()` Start a transaction, ignored if a tx is already running.
`void` | `commit()` Commit the current transaction, if one is in progress.
`void` | `dispose()`
`com.wavemaker.runtime.data.DataServiceMetaData` | `getMetaData()`
`org.hibernate.Session` | `getSession()`
`java.lang.Object` | `invoke(com.wavemaker.runtime.data.Task task, java.lang.Object... input)` Run a Task instance within a Transaction.
`void` | `rollback()` Rollback the current transaction, if one is in progress.

Method Detail

### begin

    void begin()

  Start a transaction, ignored if a tx is already running.

### commit

    void commit()

  Commit the current transaction, if one is in progress.

### rollback

    void rollback()

  Rollback the current transaction, if one is in progress.

### invoke

    java.lang.Object invoke(com.wavemaker.runtime.data.Task task,
                            java.lang.Object... input)

  Run a Task instance within a Transaction.

  Parameters:
    `task` - The task to run
    `input` - Generic input the task may use
  Returns:
    Return value, may be null

### getSession

    org.hibernate.Session getSession()

  Returns:
    The Hibernate Session.

### getMetaData

    com.wavemaker.runtime.data.DataServiceMetaData getMetaData()

### dispose

    void dispose()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD